Oracle Client

The Oracle client is required on your PC if you want to connect to the PeopleSoft database in two tier with applications such as application designer, data mover, and configuration manager.

This is where you can download the latest version of the Oracle client. Note that the Oracle client is backwards compatible so you can use a version that is newer than the version of the Oracle database you are connecting to. So for example, you can use the 11g client and connect to a 10g database. There a number of versions of the Oracle client, the one I generally tend to install is the runtime client, although all you really need is the Instant Client provided you install it correctly.

Remember that you PeopleSoft applications are 32 bit applications, so while you can install a 64 bit client on your PC, PeopleSoft will not work. If you do this, you'll get an error like this:

app-designer-64-bit-client-error.png

Missing or invalid version of SQL ibrary PSORA (200, 0)

This is what happened when I tried to run application designer with an Oracle 64 bit client installed! Hopefully you won't make the same silly mistake :D

Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License